get
https://{baseurl}/usermanagement/api/v1/organizations//users//workflow-details
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API endpoint allows you to get the details of the workflow that has been assigned to the user. The workflow contains information about the allowed identities and credentials for the user.
Headers
- Authentication: Bearer
{JWT} - Accept: application/json
- Content-Type: application/json
Path Parameters
| Parameters | Type | Description |
|---|---|---|
| organizationName | string | Denotes the name of the organization. |
| userName | string | The unique username assigned to the user. |
Response Object
| Parameters | Type | Description |
|---|---|---|
| id | Number | The ID of the user. |
| name | String | The name of the user. |
| workflow.name | String | The name of the workflow. |
| workflow.description | String | The description of the workflow. |
| workflow.organizationIdentities | Object | The details of the organization identities. |
| workflow.workflowSteps | Object | The array of workflow steps. |
| workflow.workflowSteps.name | String | The name of each workflow step. |
| workflow.workflowSteps.idProofTypes | Object | The array of ID proof types for each step. |
| workflow.workflowSteps.wfStepRegistrationConfigs | Object | The array of registration configurations for each step. |
Workflow Object
| Parameters | Type | Description |
|---|---|---|
| name | String | The name of the workflow. |
| description | String | The description of the workflow. |
| organizationIdentities | Object | Details of the organization identities. |
| organizationIdentities.id | Number | The ID of the organization identity. |
| organizationIdentities.identityTypeName | String | The type of the organization identity. |
| organizationIdentities.identityTypeDetails | String | Details of the organization identity. |
| organizationIdentities.fileFormats | Any | File formats associated with the identity. |
WorkflowSteps Object
| Parameters | Type | Description |
|---|---|---|
| name | String | The name of the workflow step. |
| idProofTypes | Array | The array containing ID proof types. |
| idProofTypes.id | Number | The ID of the ID proof type. |
| idProofTypes.type | String | The type of the ID proof. |
wfStepRegistrationConfigs Object
| Parameters | Type | Description |
|---|---|---|
| id | Number | The ID of the field. |
| orgFieldId | Number | The ID of the organization field. |
| fieldName | String | The name of the field. |
| fieldLabel | String | The label of the field. |
| required | Boolean | Indicates if the field is required or not. |
| type | String | The type of the field (e.g., input, dropdown). |
| dropDownList | Array | The list of options if the field is a dropdown. |

